From 6d7a959f347492a9e94c59946ab3a0a76c32fd54 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 6 Nov 2023 13:45:26 +0100
Subject: [PATCH 1/2] Set aria-label on interactive icon elements

Interactive elements without a clear textual label, such as these which
use an icon, need additional labelling to aid screen readers. This adds
aria-label attributes on site search, documentation search and selector
for theme.
---
 templates/base/base.html     | 4 ++--
 templates/docs/docspage.html | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/templates/base/base.html b/templates/base/base.html
index 1936a03b..4c4201f3 100644
--- a/templates/base/base.html
+++ b/templates/base/base.html
@@ -60,12 +60,12 @@
                 <div class="input-group">
                   <input id="q" name="q" type="text" size="20" maxlength="255" accesskey="s"  class="form-control" placeholder="Search for...">
                   <span class="input-group-btn">
-                    <button class="btn btn-default" type="submit"><i class="fas fa-search"></i></button>
+                    <button class="btn btn-default" type="submit" aria-label="Site search"><i class="fas fa-search"></i></button>
                   </span>
                 </div><!-- /input-group -->
               </form>
               <form id="form-theme" class="form-inline d-none">
-                <button id="btn-theme" class="btn btn-default ml-1" type="button"></button>
+                <button id="btn-theme" class="btn btn-default ml-1" type="button" aria-label="Visual theme selector"></button>
               </form>
             </div>
           </nav>
diff --git a/templates/docs/docspage.html b/templates/docs/docspage.html
index b1ad7164..33f749e1 100644
--- a/templates/docs/docspage.html
+++ b/templates/docs/docspage.html
@@ -63,12 +63,12 @@
                 <div class="input-group">
                   <input id="q" name="q" type="text" size="20" maxlength="255" accesskey="s"  class="form-control" placeholder="Search for...">
                   <span class="input-group-btn">
-                    <button class="btn btn-default" type="submit"><i class="fas fa-search"></i></button>
+                    <button class="btn btn-default" type="submit" aria-label="Site search"><i class="fas fa-search"></i></button>
                   </span>
                 </div><!-- /input-group -->
               </form>
               <form id="form-theme" class="form-inline d-none">
-                <button id="btn-theme" class="btn btn-default ml-1" type="button"></button>
+                <button id="btn-theme" class="btn btn-default ml-1" type="button" aria-label="Visual theme selector"></button>
               </form>
             </div>
           </nav>
@@ -135,7 +135,7 @@
                 <div class="input-group">
                   <input type="text" id="q" name="q" class="form-control" placeholder="Search the documentation for..."/>
                   <span class="input-group-btn">
-                    <button class="btn btn-default" type="submit"><i class="fas fa-search"></i></button>
+                    <button class="btn btn-default" type="submit" aria-label="Documentation Search"><i class="fas fa-search"></i></button>
                   </span>
                 </div><!-- /input-group -->
               </form>
-- 
2.32.1 (Apple Git-133)

